Skip to main content

List User Wallets

Get all wallets associated with the authenticated user. Endpoint: GET /wallets Request
HeaderDescription
Authorization: Bearer {token}User’s session token acquired from authentication
cURL Example
curl -X GET "https://api.circuit.org/v1/wallets"    -H "Authorization: Bearer user_session_token"
Response
Returns Wallets
Array<{
  id: number;
  name: string;
  type: string;
  address: string;
  createdAt: string;
  totalUsd: string;
  networks: string[];
  agents: Array<{
    id: number;
    name: string;
    imageUrl: string | null;
  }>;
}>
No Wallets
[]

Create Wallet

Create a new wallet for the authenticated user. Endpoint: POST /wallets Request
HeaderDescription
Authorization: Bearer {token}User’s session token acquired from authentication
BodyDescription
name: stringDisplay name for the wallet
type: stringNetwork type of wallet; "ethereum" | "solana"
cURL Example
curl -X POST "https://api.circuit.org/v1/wallets"    -H "Authorization: Bearer user_session_token"    -H "Content-Type: application/json"    -d '{
    "name": "My New Wallet",
    "type": "ethereum"
  }'
Response
Success Wallet Create
{
  address: string;
  type: string;
  name: string;
}

Import Wallet

Import an existing wallet using a private key. Endpoint: POST /wallets/import Request
HeaderDescription
Authorization: Bearer {token}User’s session token acquired from authentication
BodyDescription
privateKey: stringPrivate key of the wallet to be imported
name: stringAssign a name to this wallet
type: stringNetwork type of wallet; "ethereum" | "solana"
cURL Example
curl -X POST "https://api.circuit.org/v1/wallets/import"    -H "Authorization: Bearer user_session_token"    -H "Content-Type: application/json"    -d '{
    "privateKey": "wallet_private_key",
    "name": "My Wallet",
    "type": "ethereum"
  }'
Response
Success Wallet Import
{
  address: string;
  type: string;
  name: string;
}